#!/usr/bin/python
# -*- coding: utf-8 -*-

### Dieses Programm soll einen Alarm ausgeben, wenn ein Fenster geoeffnet/geschlossen wird. 
### Dazu wird ein einfacher Magnetschalter mit Reed-Kontakt genutzt. 

import RPi.GPIO as GPIO
import time

# Zählweise der Pins festlegen
GPIO.setmode(GPIO.BCM) # GPIO Nummern statt Board Nummern

# Eingang festlegen
MAGNET_GPIO = 17
GPIO.setup(MAGNET_GPIO, GPIO.IN) # GPIO Modus zuweisen

# Eigentlicher Programmablauf
while 1:
        print GPIO.input(MAGNET_GPIO)
        time.sleep(1)

